Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ImageComponent

All Superinterfaces:
  ContentComponent, DigitalAsset, RenditionCapability, Resource, WCMApiObject

    public interface ImageComponent

extends ContentComponent, DigitalAsset, Resource, RenditionCapability

Represents an Image component.

A `ImageComponent` is a `ContentComponent` and cannot be stored as a separate entity in the repository.

A `ImageComponent` can contain one image. The contents of the image file are dealt with as raw byte content. This interface provides methods to manipulate the image file and the attributes to use when displaying the image.

note: since `v6.0.0`, a `ImageComponent` is referred to as an `"Image Element"`in the Authoring UI.``

See Also:
  `ContentComponent`

Nested Class Summary

Nested classes/interfaces inherited from interface com.ibm.workplace.wcm.api.digitalasset.DigitalAsset
`DigitalAsset.ResourceManagementOption`

Method Summary
`java.lang.String` | `getAltText()` Returns the alternate text for the image.
`java.lang.String` | `getBorder()` Returns the border attribute of the image.
`DocumentType<? extends ImageComponent>` | `getDocumentType()` Returns the `DocumentType` of the `ContentComponent`.
`java.lang.String` | `getHeight()` Returns the height of the image.
`byte[]` | `getImage()` Deprecated. use `Resource.getBytes()`
`java.lang.String` | `getImageFileName()` Deprecated. use `Resource.getResourceName()`
`java.io.InputStream` | `getImageStream()` Deprecated. use `Resource.getInputStream()`
`java.lang.String` | `getNameTag()` Returns the HTML tag name of the image.
`java.lang.String` | `getWidth()` Returns the width of the image.
`void` | `removeImage()` Deprecated. use `Resource.removeResource()`
`void` | `setAltText(java.lang.String altText)` Sets the alternate text of the image.
`void` | `setBorder(java.lang.String border)` Sets the image border.
`void` | `setHeight(java.lang.String height)` Sets the image height.
`void` | `setImage(java.lang.String imageFileName, byte[] image)` Deprecated. use `Resource.setResource(String, byte[])`
`void` | `setImage(java.lang.String imageFileName, java.io.File imageFile)` Deprecated. use `Resource.setResource(String, File)`
`void` | `setNameTag(java.lang.String name)` Sets the HTML tag name of the image.
`void` | `setWidth(java.lang.String width)` Sets the width of the image.

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponent
`getContainer, getName`

Methods inherited from interface com.ibm.workplace.wcm.api.digitalasset.DigitalAsset
`getDigitalAssetID, getMetaData, getPath, getResourceManagementOption, isManagedExternally, setDigitalAssetID, setMetaData, setPath, setResourceManagementOption`

Methods inherited from interface com.ibm.workplace.wcm.api.Resource
`getBytes, getInputStream, getMimeType, getResourceName, getResourceURL, getSize, removeResource, setDeliverableOverCachingNetworkSupport, setResource, setResource, supportsDeliveryOverCachingNetwork`

Methods inherited from interface com.ibm.workplace.wcm.api.RenditionCapability
`createRendition, createRendition, getRendition, getRenditions, removeRendition`

Method Detail

### getDocumentType

    DocumentType<? extends ImageComponent> getDocumentType()

  Description copied from interface: `ContentComponent`
  Returns the `DocumentType` of the `ContentComponent`.

  Specified by:
    `getDocumentType` in interface `ContentComponent`
  Returns:
    the type
  See Also:
    `ContentComponent.getDocumentType()`

### getImage

    byte[] getImage()
                    throws AuthorizationException,
                           PropertyRetrievalException

  Deprecated. use `Resource.getBytes()`

  Returns the contents of the image file contained within this component as a byte array.

  Returns an empty byte array if an image file has not been specified or the byte content could not be retrieved.

  Returns:
    the image file content as a byte array
  Throws:
    `AuthorizationException` - if the user does not have access to the image
    `PropertyRetrievalException` - if the image cannot be retrieved or is externally managed

### getImageFileName

    java.lang.String getImageFileName()
                                      throws AuthorizationException,
                                             PropertyRetrievalException

  Deprecated. use `Resource.getResourceName()`

  Returns the filename of the image file contained within this component.

  Returns `null` if an image file has not been set.

  Returns:
    the filename of the image
  Throws:
    `AuthorizationException` - if the user does not have access to the image
    `PropertyRetrievalException` - if the image cannot be retrieved

### setImage

    void setImage(java.lang.String imageFileName,
                  byte[] image)
                  throws OperationFailedException

  Deprecated. use `Resource.setResource(String, byte[])`

  Sets the image file contained within this component.

  This method does not accept `null` arguments. Passing a `null` argument into this method will result in a `NullPointerException`.

  Parameters:
    `imageFileName` - the filename of the image file
    `image` - the content of the image file as a byte array
  Throws:
    `java.lang.NullPointerException` - if either of the arguments imageFileName or image are null
    `OperationFailedException` - if the image file could not be set

### getImageStream

    java.io.InputStream getImageStream()
                                       throws AuthorizationException,
                                              PropertyRetrievalException

  Deprecated. use `Resource.getInputStream()`

  Returns the contents of the image file contained within this component as a input stream

  Returns an empty byte array if an image file has not been specified or the byte content could not be retrieved.

  Returns:
    the image file content as a input stream
  Throws:
    `AuthorizationException` - if the user does not have access to the image
    `PropertyRetrievalException` - if the image cannot be retrieved or is externally managed

### setImage

    void setImage(java.lang.String imageFileName,
                  java.io.File imageFile)
                  throws OperationFailedException

  Deprecated. use `Resource.setResource(String, File)`

  Sets the image file contained within this component. This method consumes less memory then setting the entire byte array of the resource

  This method does not accept `null` arguments. Passing a `null` argument into this method will result in a `NullPointerException`.

  Parameters:
    `imageFileName` - the filename of the image file
    `imageFile` - the contents of the image as a file on the file system
  Throws:
    `java.lang.NullPointerException` - if either of the arguments imageFileName or image are null
    `OperationFailedException` - if the image file could not be set

### removeImage

    void removeImage()
                     throws OperationFailedException

  Deprecated. use `Resource.removeResource()`

  Removes the image file contained within this component.

  Throws:
    `OperationFailedException` - if an error occurred removing the file.

### getBorder

    java.lang.String getBorder()

  Returns the border attribute of the image. Returns `null` if a border value has not been set, otherwise the border attribute will be returned.

  Returns:
    the border
  See Also:
    `setBorder(String)`

### setBorder

    void setBorder(java.lang.String border)
                   throws OperationFailedException

  Sets the image border.

  If the string argument passed in to this method cannot be converted to an integer, an exception is thrown.

  This method will automatically convert a `null` argument to the string "0".

  Parameters:
    `border` - the image border
  Throws:
    `OperationFailedException` - if the string argument cannot be converted to an integer or the border could not be set to the specified value

### getAltText

    java.lang.String getAltText()

  Returns the alternate text for the image.

  Returns `null` if alternate text has not been set or the alternate text value has specifically been set to `null`.

  Returns:
    the alternate text

### setAltText

    void setAltText(java.lang.String altText)

  Sets the alternate text of the image.

  If a `null` argument is passed in to this method `getAltText()` will return `null`.

  Parameters:
    `altText` - the alternate text

### getNameTag

    java.lang.String getNameTag()

  Returns the HTML tag name of the image. Returns `null` if the HTML tag name has not been specified or the HTML tag name has specifically been set to `null`.

  Returns:
    the name in the image tag

### setNameTag

    void setNameTag(java.lang.String name)

  Sets the HTML tag name of the image.

  Set the HTML tag name of the image to refer to the image using JavaScript™.

  If a `null` argument is passed in to this method `getNameTag()` will return `null`.

  Parameters:
    `name` - the HTML tag name of the image

### getWidth

    java.lang.String getWidth()

  Returns the width of the image. This is the width of the image when it is displayed.

  Returns `null` if the width has not been set or the width value has specifically been set to `null`.

  Returns:
    the width

### setWidth

    void setWidth(java.lang.String width)
                  throws OperationFailedException

  Sets the width of the image. This is the width of the image when it is displayed.

  If the string argument passed in to this method cannot be converted to an integer, an exception is thrown.

  If a `null` argument is passed in to this method `getWidth()` will return `null`.

  Parameters:
    `width` - the image width.
  Throws:
    `OperationFailedException` - if the string argument cannot be converted to an integer or the width could not be set to the specified value

### getHeight

    java.lang.String getHeight()

  Returns the height of the image. This is the height of the image when it is displayed.

  Returns `null` if the height has not been set or the height has specifically been set to `null`.

  Returns:
    the height

### setHeight

    void setHeight(java.lang.String height)
                   throws OperationFailedException

  Sets the image height. This is the height of the image when it is displayed.

  If the string argument passed in to this method cannot be converted to an integer, an exception is thrown.

  If a `null` argument is passed in to this method `getHeight()` will return `null`.

  Parameters:
    `height` - the image height
  Throws:
    `OperationFailedException` - if the string argument cannot be converted to an integer or the height could not be set to the specified value

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD